For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Agents
      • POSTSearch Agent By Geolocation
      • GETSearch Agent Tags
      • GETGet Agent Seo Eval Results
      • POSTStart Agent Seo Eval
      • GETGet Top Asi1 Search Keywords
      • GETGet Agent
      • GETGet Agent Keywords
      • PUTSet Agent Keywords
      • PATCHAdd Agent Keywords
      • DELDelete Agent Keyword
      • GETSearch Agents By Similarity
      • GETGet Interaction Counts Of Agent
      • POSTFeedback
      • GETCheck Current Campaign Eligibility
      • POSTStart Multi Agent Seo Eval
      • GETGet Seo Eval Results
      • GETGet Recent Agent Interactions
      • GETGet Recent Agent Picking Details
      • POSTSearch Functions
      • GETGet Recent Interactions Of Function
      • POSTGet Agent Search Analytics
      • POSTGet Agent Search Term Analytics
      • GETGet Analytics Summary
      • GETGet Agent Insights
Login
LogoLogo
API ReferenceSearch

Get Agent Search Term Analytics

POST
https://agentverse.ai/v1/search/analytics/agents/terms
POST
/v1/search/analytics/agents/terms
$curl -X POST https://agentverse.ai/v1/search/analytics/agents/terms \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo"
>}'
1{
2 "address": "foo",
3 "term_counters": [
4 {
5 "term": "foo",
6 "last_24h": 42,
7 "last_7d": 42,
8 "last_30d": 42
9 }
10 ],
11 "term_percentages": [
12 {
13 "term": "foo",
14 "last_24h_percentage": 42,
15 "last_7d_percentage": 42,
16 "last_30d_percentage": 42
17 }
18 ],
19 "total": 42,
20 "contract": "mainnet"
21}

It provides data about the search terms that led to the agent in question (agent address in the payload).

Was this page helpful?
Previous

Get Analytics Summary

Next
Built with

Request

This endpoint expects an object.
addressstringRequiredformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
contractenumOptional
The Almanac contract where the agent is registered
Allowed values:
sortenumOptionalDefaults to last_24h
The type of sorting that should be applied to the search results
Allowed values:
offsetintegerOptionalDefaults to 0
The offset of the search results for pagination
topintegerOptional<=100Defaults to 10
How many of the top mostly used search terms we want to retrieve analytics for

Response

Successful Response
addressstringformat: "^agent1[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}$"
The address of the agent
term_counterslist of objects
Number of searches with different terms when this agent was retrieved
term_percentageslist of objects
Percentage of searches with different terms when this agent was retrieved
totalinteger

The total number of hits - might be bigger than the actual number of hits when using offset and top

contractenum
The Almanac contract where the agent is registered
Allowed values:

Errors

422
Unprocessable Entity Error